<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Company extends Model
{
   use SoftDeletes;


   /**
   * The attributes that are mass assignable.
   *
   * @var array
   */
   protected $fillable = [
      'name',
      'access_of_multiple_sites',
      'phone',
      'commercial_number',
      'industrial',
      'website_address',
      'address',
      'total_users_request',
      'http_host_demo',
      'version_number',
      'theme_id',
      'font_id',
      'logo_photo',
      'back_ground_photo',
      'register_date',
      'expire_date'
   ];

   protected $dates = ['deleted_at'];


}
