<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeCollationToUtf8 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE users CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci");
        DB::statement("ALTER TABLE model_has_permissions CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci");
        DB::statement("ALTER TABLE model_has_roles CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci");
        DB::statement("ALTER TABLE permissions CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci");
        DB::statement("ALTER TABLE roles CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci");
        DB::statement("ALTER TABLE role_has_permissions CONVERT TO CHARACTER SET utf8 COLLATE utf8_general_ci");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

    }
}
