<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class EditCompaniesTable extends Migration
{
   /**
   * Run the migrations.
   *
   * @return void
   */
   public function up()
   {
      Schema::table('companies', function($table) {
         $table->dropColumn('company_admin_id');
         $table->string('phone')->after('name');
         $table->string('commercial_number')->after('phone');
         $table->string('industrial')->after('commercial_number');
         $table->string('website_address')->after('industrial');
         $table->string('address')->after('website_address');
         $table->string('total_users_request')->after('address')->nullable();
         $table->string('http_host_demo')->after('total_users_request')->nullable();
         $table->string('version_number')->after('http_host_demo')->nullable();
         $table->string('back_ground_photo')->after('logo')->nullable();
         $table->integer('theme_id')->after('back_ground_photo')->nullable();
         $table->integer('font_id')->after('theme_id')->nullable();
      });
   }

   /**
   * Reverse the migrations.
   *
   * @return void
   */
   public function down()
   {
      //
   }
}
