<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class EditUsersTable extends Migration
{
   /**
   * Run the migrations.
   *
   * @return void
   */
   public function up()
   {
      Schema::table('users', function($table) {
         $table->string('position')->after('type')->nullable();
         $table->string('phone')->after('position')->nullable();
         $table->string('hire_date')->after('phone')->nullable();
         $table->string('is_active')->after('hire_date')->default(1)->nullable();
      });
   }

   /**
   * Reverse the migrations.
   *
   * @return void
   */
   public function down()
   {
      //
   }
}
